Bug 1313430 - SELinux is preventing gnome-shell from 'ioctl' accesses on the chr_file /dev/nvidiactl.
SELinux is preventing gnome-shell from 'ioctl' accesses on the chr_file /dev/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:0badc8ce156df9558d68e5466dc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 10:23 EST by autarch princeps
Modified: 2016-12-20 14:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:09:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description autarch princeps 2016-03-01 10:23:46 EST
Description of problem:
SELinux is preventing gnome-shell from 'ioctl' accesses on the chr_file /dev/nvidiactl.

*****  Plugin restorecon (90.5 confidence) suggests   ************************

If sie die Kennzeichnung korrigieren möchten.
/dev/nvidiactl Standard-Kennzeichnung sollte xserver_misc_device_t sein.
Then sie können restorecon ausführen.
Do
# /sbin/restorecon -v /dev/nvidiactl

*****  Plugin device (9.50 confidence) suggests   ****************************

If you want to allow gnome-shell to have ioctl access on the nvidiactl chr_file
Then sie müssen die Kennzeichnung von /dev/nvidiactl auf einen Typ eines ähnlichen Elementes ändern
Do
# semanage fcontext -a -t SIMILAR_TYPE '/dev/nvidiactl'
# restorecon -v '/dev/nvidiactl'

*****  Plugin catchall (1.40 confidence) suggests   **************************

If sie denken, dass es gnome-shell standardmässig erlaubt sein sollte, ioctl Zugriff auf nvidiactl chr_file zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep gnome-shell /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:device_t:s0
Target Objects                /dev/nvidiactl [ chr_file ]
Source                        gnome-shell
Source Path                   gnome-shell
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.6.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.3.5-300.fc23.x86_64 #1 SMP Mon
                              Feb 1 03:18:41 UTC 2016 x86_64 x86_64
Alert Count                   5
First Seen                    2016-02-25 12:14:16 CET
Last Seen                     2016-02-26 09:56:40 CET
Local ID                      65180d06-59a4-4215-9f43-b19199eb6895

Raw Audit Messages
type=AVC msg=audit(1456477000.383:372): avc:  denied  { ioctl } for  pid=2558 comm="gnome-shell" path="/dev/nvidiactl" dev="devtmpfs" ino=30080 ioctlcmd=46d2 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:device_t:s0 tclass=chr_file permissive=1


Hash: gnome-shell,xdm_t,device_t,chr_file,ioctl

Version-Release number of selected component:
selinux-policy-3.13.1-158.6.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.2-301.fc23.x86_64
type:           libreport

Potential duplicate: bug 1246246
Comment 1 Fedora Admin XMLRPC Client 2016-09-27 10:55:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2016-11-24 10:52:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 14:09:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.